---

# See https://docs.gitlab.com/ee/ci/yaml/README.html

stages:
  - lint
  - build

lint:php:
  stage: lint
  image: composer
  script: composer install && composer lint
  only:
    refs:
      - merge_requests
    changes:
      - "**/*.php"
  cache:
    key: lint-php
    paths:
      - vendor/

build:
  stage: build
  image: docker:latest
  only:
    - master
    - tags
  script:
    - ./build.sh
  services:
    - docker:dind
